directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Lecharny <elecha...@gmail.com>
Subject Re: How do I compile for Java 1.5?
Date Mon, 07 Apr 2008 23:05:06 GMT
Mark Swanson wrote:
> Hello,
Hi,
>
> I'm using the latest stable version of ADS: 1.0 :-)
Which version exactly ?

Where does it come from (did you get it from trunk or from a branch ?)
> and for some reason I can't compile my custom schema because the 
> compiler is strangely defaulting to Java 1.3:

What you have here is some errors because the generated schema contains 
generics, which are not allowed in java 1.4. ADS 1.0.x is not intended 
to be compiled using java 1.5, but of course it can be compiled with a 
1.5 compiler. The thing is that we have forced the 1.4 version in order 
to avoid committing some code which requests Java 5...

-- 
--
cordialement, regards,
Emmanuel L├ęcharny
www.iktek.com
directory.apache.org



Mime
View raw message